> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public agent card via well-known URI



## OpenAPI

````yaml /openapi/swarmd.json get /relay/v1/agents/{agentId}/a2a/0.3.0/.well-known/agent-card.json
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: mcp-consent-controller
    x-displayName: mcp-consent-controller
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: audit-rest-controller
    x-displayName: audit-rest-controller
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /relay/v1/agents/{agentId}/a2a/0.3.0/.well-known/agent-card.json:
    get:
      tags:
        - Agent Discovery
      summary: Get public agent card via well-known URI
      operationId: getAgentCardWellKnown
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relay_AgentCardResponse'
      security:
        - Relay_bearerAuth: []
components:
  schemas:
    Relay_AgentCardResponse:
      type: object
      properties:
        id:
          type: string
        protocolVersion:
          type: string
        name:
          type: string
        description:
          type: string
        url:
          type: string
        preferredTransport:
          type: string
        additionalInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/Relay_AdditionalInterface'
        provider:
          $ref: '#/components/schemas/Relay_Provider'
        iconUrl:
          type: string
        documentationUrl:
          type: string
        version:
          type: string
        capabilities:
          $ref: '#/components/schemas/Relay_Capabilities'
        securitySchemes:
          type: object
          additionalProperties:
            path: /audit/v1/agents/{agentId}/metrics
        security:
          type: array
          items:
            type: object
            additionalProperties:
              type: array
              items:
                type: string
        defaultInputModes:
          type: array
          items:
            type: string
        defaultOutputModes:
          type: array
          items:
            type: string
        skills:
          type: array
          items:
            $ref: '#/components/schemas/Relay_Skill'
        supportsAuthenticatedExtendedCard:
          type: boolean
        signatures:
          type: array
          items:
            type: string
    Relay_AdditionalInterface:
      type: object
      properties:
        url:
          type: string
        transport:
          type: string
    Relay_Provider:
      type: object
      properties:
        organization:
          type: string
        url:
          type: string
    Relay_Capabilities:
      type: object
      properties:
        streaming:
          type: boolean
        pushNotifications:
          type: boolean
        stateTransitionHistory:
          type: boolean
        extensions:
          type: array
          items:
            $ref: '#/components/schemas/Relay_AgentExtension'
    Relay_Skill:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        tags:
          type: array
          items:
            type: string
        examples:
          type: array
          items:
            type: string
        inputModes:
          type: array
          items:
            type: string
        outputModes:
          type: array
          items:
            type: string
        security:
          type: array
          items:
            type: object
            additionalProperties:
              type: array
              items:
                type: string
    Relay_AgentExtension:
      type: object
      properties:
        uri:
          type: string
        description:
          type: string
        required:
          type: boolean
        params:
          type: object
          additionalProperties:
            path: /audit/v1/agents/{agentId}/metrics
  securitySchemes:
    Relay_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````